<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_44b97fb00c" . "5dc6204a2e8" . "b46429ce109" => base64_decode("aXNfc3RyaW5nYWJsZ" . "Q=="), "_6596b8f6a4969f9a3f6a1b22b90e93" . "31" => base64_decode("c3ByaW50Zg=" . "="), "_5a13027a56ff426a18806baf1e" . "53ce74" => base64_decode("Q29uZmlnVmFsdWUgJw" . "=="), "_3758af61703ed" . "ea17ee38fab15f" . "99b56" => base64_decode("JyBjYW5ub3QgYmUgc2V0IHdpdGhvdXQgYW4gaW5zdGFuY2Ugb2YgV3JpdGFibGVDb" . "25maWc="), "_490fedd0c33685" . "bd3a92a23dfbdbe" . "38c" => base64_decode("JyBDb25maWdWYWx1ZSB" . "0byBzdHJpbmc="), "_835783a340b626fa250ace4c8d8249" . "f7" => base64_decode("VW5hYmxlIHRvIGNhc3Qg" . "Jw=="));
use RuntimeException;
use UnexpectedValueException;










class ConfigValue
{
    
    
    
    
    private Config $config;
    
    
    
    
    private string $key;
    
    
    
    
    private ?string $pattern;
    
    
    
    
    
    
    
    
    public function __construct(Config $config, string $key, ?string $_84e9b441a0415723346c265202959c32 = null)
    {
        $this->config = $config;
        $this->key = $key;
        $this->setPattern($_84e9b441a0415723346c265202959c32);
    }
    
    
    
    
    
    
    public function getValue()
    {
        return $this->config->get($this->key);
    }
    
    
    
    
    
    
    public function setValue($value)
    {
        if (!$this->config instanceof WritableConfig) {
            throw new RuntimeException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_5a13027a56ff426a1880" . "6baf1e53ce74"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_3758af61703edea17ee" . "38fab15f99b56"]);
        }
        $this->config->set($this->key, $value);
    }
    
    
    
    
    
    
    public function getPattern() : ?string
    {
        return $this->pattern;
    }
    
    
    
    
    
    
    
    
    public function setPattern(?string $_84e9b441a0415723346c265202959c32)
    {
        $this->pattern = $_84e9b441a0415723346c265202959c32;
    }
    
    
    
    
    
    
    public function getProcessedValue() : string
    {
        $value = $this->getValue();
        if (!$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_44b97fb00c5" . "dc6204a2e8b4" . "6429ce109"]($value)) {
            
            
            throw new UnexpectedValueException($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_835783a340b626fa2" . "50ace4c8d8249f7"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_490fedd0c33685bd3" . "a92a23dfbdbe38c"]);
        }
        if ($this->pattern && $value !== null) {
            $value = $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_6596b8f6a4969f" . "9a3f6a1b22b90e9" . "331"]($this->pattern, $value);
        }
        return (string) $value;
    }
    
    
    
    
    
    
    
    
    
    public function __toString() : string
    {
        return $this->getProcessedValue();
    }
}